### Hierarchy

- JsonFormsControl
  - NumberControlRenderer

### Implements

- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- data
- description
- disabled
- enabled
- error
- form
- hidden
- id
- label
- locale
- localeValidation
- max
- min
- multipleOf
- ngRedux
- path
- rootSchema
- schema
- scopedSchema
- subscription
- uischema
- validator
- visible

### Methods

- getEventValue
- getOwnProps
- mapAdditionalProps
- mapToProps
- ngOnDestroy
- ngOnInit
- onChange
- triggerValidation

## Constructors

### constructor

- new NumberControlRenderer(ngRedux: NgRedux<JsonFormsState>, localeValidation: LocaleValidation): NumberControlRenderer

- Overrides JsonFormsControl.__constructor

  - Defined in controls/number.renderer.ts:70

  #### Parameters

  - ##### ngRedux: NgRedux<JsonFormsState>

  - ##### localeValidation: LocaleValidation

  #### Returns NumberControlRenderer

## Properties

### data

data: any

Inherited from JsonFormsControl.data

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:14

### description

description: string

Inherited from JsonFormsControl.description

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:16

### disabled

disabled: boolean

Inherited from JsonFormsControl.disabled

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:10

### enabled

enabled: boolean

Inherited from JsonFormsControl.enabled

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:20

### error

error: string | null

Inherited from JsonFormsControl.error

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:17

### form

form: FormControl

Inherited from JsonFormsControl.form

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:12

### hidden

hidden: boolean

Inherited from JsonFormsControl.hidden

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:21

### id

id: string

Inherited from JsonFormsControl.id

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:9

### label

label: string

Inherited from JsonFormsControl.label

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:15

### locale

locale: string

- Defined in controls/number.renderer.ts:70

### Private localeValidation

localeValidation: LocaleValidation

- Defined in controls/number.renderer.ts:74

### max

max: number

- Defined in controls/number.renderer.ts:68

### min

min: number

- Defined in controls/number.renderer.ts:67

### multipleOf

multipleOf: number

- Defined in controls/number.renderer.ts:69

### Protected ngRedux

ngRedux: NgRedux<JsonFormsState>

Inherited from JsonFormsControl.ngRedux

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:8

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:5

### rootSchema

rootSchema: JsonSchema

Inherited from JsonFormsControl.rootSchema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:19

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:4

### scopedSchema

scopedSchema: JsonSchema

Inherited from JsonFormsControl.scopedSchema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:18

### subscription

subscription: Subscription

Inherited from JsonFormsControl.subscription

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:13

### uischema

uischema: ControlElement

Inherited from JsonFormsBaseRenderer.uischema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:3

### validator

validator: ValidatorFn

Inherited from JsonFormsControl.validator

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:26

### visible

visible: boolean

Inherited from JsonFormsControl.visible

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:11

## Methods

### getEventValue

- getEventValue(event: any): number

- Overrides JsonFormsControl.getEventValue

  - Defined in controls/number.renderer.ts:79

  #### Parameters

  - ##### event: any

  #### Returns number

### Protected getOwnProps

- getOwnProps(): OwnPropsOfControl

- Inherited from JsonFormsControl.getOwnProps

  Overrides JsonFormsBaseRenderer.getOwnProps

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:29

  #### Returns OwnPropsOfControl

### mapAdditionalProps

- mapAdditionalProps(): void

- Overrides JsonFormsControl.mapAdditionalProps

  - Defined in controls/number.renderer.ts:94

  #### Returns void

### Protected mapToProps

- mapToProps(state: JsonFormsState): ControlProps

- Inherited from JsonFormsControl.mapToProps

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:30

  #### Parameters

  - ##### state: JsonFormsState

  #### Returns ControlProps

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from JsonFormsControl.ngOnDestroy

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:28

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Inherited from JsonFormsControl.ngOnInit

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:25

  #### Returns void

### onChange

- onChange(ev: any): void

- Inherited from JsonFormsControl.onChange

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:24

  #### Parameters

  - ##### ev: any

  #### Returns void

### Protected triggerValidation

- triggerValidation(): void

- Inherited from JsonFormsControl.triggerValidation

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:31

  #### Returns void

Generated using TypeDoc